<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Wed Nov 20 09:59:45 CET 2019 -->
<title>Uses of Package nl.naturalis.oaipmh.api</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-11-20">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package nl.naturalis.oaipmh.api";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Uses of Package nl.naturalis.oaipmh.api" class="title">Uses of Package<br>nl.naturalis.oaipmh.api</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="package-summary.html">nl.naturalis.oaipmh.api</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#nl.naturalis.oaipmh.api">nl.naturalis.oaipmh.api</a></th>
<td class="colLast">
<div class="block">Provides an API that OAI repositories can implement to have their data exposed by the Naturalis OAI-PMH server.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#nl.naturalis.oaipmh.api.util">nl.naturalis.oaipmh.api.util</a></th>
<td class="colLast">
<div class="block">Classes that can aid in implementing an OAI repository.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a id="nl.naturalis.oaipmh.api">
<!--   -->
</a>
<table class="useSummary">
<caption><span>Classes in <a href="package-summary.html">nl.naturalis.oaipmh.api</a> used by <a href="package-summary.html">nl.naturalis.oaipmh.api</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/Argument.html#nl.naturalis.oaipmh.api">Argument</a></th>
<td class="colLast">
<div class="block">Symbolic constants for the seven URL query parameters allowed in a OAI-PMH request.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/ArgumentValidator.html#nl.naturalis.oaipmh.api">ArgumentValidator</a></th>
<td class="colLast">
<div class="block">Abstract base class for classes that check the validity of the <a href="Argument.html" title="enum in nl.naturalis.oaipmh.api"><code>arguments</code></a> passed along with a <a href="../../../../org/openarchives/oai/_2/VerbType.html" title="enum in org.openarchives.oai._2"><code>verb</code></a> (like
 ListRecords).</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/ArgumentValidatorFactory.html#nl.naturalis.oaipmh.api">ArgumentValidatorFactory</a></th>
<td class="colLast">
<div class="block">Creates <a href="ArgumentValidator.html" title="class in nl.naturalis.oaipmh.api"><code>ArgumentValidator</code></a> instances.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/BadArgumentError.html#nl.naturalis.oaipmh.api">BadArgumentError</a></th>
<td class="colLast">
<div class="block">Convenience class narrowing the JAXB <code>OAIPMHerrorType</code> class to one for BadArgument errors.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/BadResumptionTokenException.html#nl.naturalis.oaipmh.api">BadResumptionTokenException</a></th>
<td class="colLast">
<div class="block">Thrown when a resumption token cannot be decomposed into its constituent
 parts.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/DatabaseType.html#nl.naturalis.oaipmh.api">DatabaseType</a></th>
<td class="colLast">
<div class="block">Symbolic constants for various databases.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DbRepositoryConfig.DatabaseConfig.html#nl.naturalis.oaipmh.api">DbRepositoryConfig.DatabaseConfig</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/OaiException.html#nl.naturalis.oaipmh.api">OaiException</a></th>
<td class="colLast">
<div class="block">An <code>OaiException</code> is thrown in response to an error condition explicitly mentioned by the OAI-PMH specification.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/OaiRepository.html#nl.naturalis.oaipmh.api">OaiRepository</a></th>
<td class="colLast">
<div class="block">
 Specifies the capacities of an OAI repository.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/OaiRequest.html#nl.naturalis.oaipmh.api">OaiRequest</a></th>
<td class="colLast">
<div class="block">Java bean modeling an OAI-PMH request.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/RepositoryConfig.html#nl.naturalis.oaipmh.api">RepositoryConfig</a></th>
<td class="colLast">
<div class="block">Java bean modeling the configuration for either a single OAI repository or a repository group.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/RepositoryException.html#nl.naturalis.oaipmh.api">RepositoryException</a></th>
<td class="colLast">
<div class="block">Base class for all checked exceptions in this library except <a href="OaiException.html" title="class in nl.naturalis.oaipmh.api"><code>OaiException</code></a> and <code>ApplicationInitializationException</code>.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/RepositoryInitializationException.html#nl.naturalis.oaipmh.api">RepositoryInitializationException</a></th>
<td class="colLast">
<div class="block">Thrown upon failure in the initialization phase of an <a href="StandAloneRepository.html" title="interface in nl.naturalis.oaipmh.api"><code>OAI repository</code></a> or <a href="RepositoryGroup.html" title="interface in nl.naturalis.oaipmh.api"><code>repository
 group</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/ResumptionTokenGenerator.html#nl.naturalis.oaipmh.api">ResumptionTokenGenerator</a></th>
<td class="colLast">
<div class="block">Interface defining the capacity to generate a resumption token from the information in an <a href="OaiRequest.html" title="class in nl.naturalis.oaipmh.api"><code>OaiRequest</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/ResumptionTokenParser.html#nl.naturalis.oaipmh.api">ResumptionTokenParser</a></th>
<td class="colLast">
<div class="block">Interface defining the capacity to decompose a resumption token into its constitutent parts.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a id="nl.naturalis.oaipmh.api.util">
<!--   -->
</a>
<table class="useSummary">
<caption><span>Classes in <a href="package-summary.html">nl.naturalis.oaipmh.api</a> used by <a href="util/package-summary.html">nl.naturalis.oaipmh.api.util</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/DbRepositoryConfig.html#nl.naturalis.oaipmh.api.util">DbRepositoryConfig</a></th>
<td class="colLast">
<div class="block">A Configuration object for OAI repositories that use a database for data storage.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/OaiRequest.html#nl.naturalis.oaipmh.api.util">OaiRequest</a></th>
<td class="colLast">
<div class="block">Java bean modeling an OAI-PMH request.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
